Package org.eclipse.cdt.core.dom.ast

# Interface IField

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `IVariable`

All Known Subinterfaces:
  `ICPPField`, `ICPPFieldTemplate`

public interface IField extends IVariable

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IField[]`
`EMPTY_FIELD_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`EMPTY_VARIABLE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`ICompositeType`
`getCompositeTypeOwner()`
Returns the composite type that owns the field.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`getInitialValue, getType, isAuto, isExtern, isRegister, isStatic`

## Field Details

### EMPTY_FIELD_ARRAY

static final IField[] EMPTY_FIELD_ARRAY

## Method Details

### getCompositeTypeOwner

ICompositeType getCompositeTypeOwner()
Returns the composite type that owns the field.

Since:
  4.0